Fedora 15 : rubygem-actionpack-3.0.5-5.fc15 (2012-0626)

Medium Nessus Plugin ID 57694


The remote Fedora host is missing a security update.


A cross-site scripting (XSS) flaw was found in the way the 'translate' helper method of the Ruby on Rails performed HTML escaping of interpolated user input, when interpolation in combination with HTML-safe translations were used. This release fixes the bug.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected rubygem-actionpack package.

See Also



Plugin Details

Severity: Medium

ID: 57694

File Name: fedora_2012-0626.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2012/01/26

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:rubygem-actionpack, cpe:/o:fedoraproject:fedora:15

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/01/17

Reference Information

BID: 50722

FEDORA: 2012-0626